ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Core.Opt.CallerCC.Types

# Documentation

data NamePattern Source #

Constructors

PChar Char NamePattern |
PWildcard NamePattern |
PEnd |

#### Instances

Instances details

Binary NamePattern Source # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods put_ :: WriteBinHandle -> NamePattern -> IO () Source # put :: WriteBinHandle -> NamePattern -> IO (Bin NamePattern) Source # get :: ReadBinHandle -> IO NamePattern Source #
Outputable NamePattern Source # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods ppr :: NamePattern -> SDoc Source #

data CallerCcFilter Source #

Constructors

CallerCcFilter |

Fields

- ccfModuleName :: Maybe ModuleName
- ccfFuncName :: NamePattern

#### Instances

Instances details

Binary CallerCcFilter Source # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods put_ :: WriteBinHandle -> CallerCcFilter -> IO () Source # put :: WriteBinHandle -> CallerCcFilter -> IO (Bin CallerCcFilter) Source # get :: ReadBinHandle -> IO CallerCcFilter Source #
Outputable CallerCcFilter Source # |
Instance details Defined in GHC.Core.Opt.CallerCC.Types Methods ppr :: CallerCcFilter -> SDoc Source #

occNameMatches :: NamePattern -> OccName -> Bool Source #

parseCallerCcFilter :: String -> Either String CallerCcFilter Source #

parseNamePattern :: Parser NamePattern Source #